# Plots for EEC presentation
pat_u13 = severity_clean[severity_clean$patient_id == "U13",]
plot(pat_u13$time, pat_u13$top_ll,
     pch=19, col = "steelblue",ylab = "Log(line length)",
     xlab = "Hour")
points(pat_u13[pat_u13$time>=8 & pat_u13$time<20,]$time, 
       pat_u13[pat_u13$time>=8 & pat_u13$time<20,]$top_ll,
       pch=19, col = "palevioletred")


plot(pat_u13$time, pat_u13$top_ll)

pat = severity_clean[severity_clean$patient_id == 1379,]
night = pat[pat$time <8 | pat$time>20,]
# Longer term rhythms plot
pat = pat[order(pat$start),]
plot(pat$start, pat$top_energy, col = "black", type = "l", xlab = "Date", 
     ylab = "log(Energy)", cex.lab = 1.5)
points(pat$start, pat$top_energy, pch = 19, col = "palevioletred", cex = 3)
points(night$start, night$top_energy, pch = 19, col = "steelblue", cex = 3)

abline(lm(pat$top_energy~pat$start )# Circadian rhythms plot
pat = pat[order(pat$time),]
night = night[order(night$time),]
plot(pat$time, pat$top_energy, pch = 19, col = "palevioletred", cex = 3,
     xlab = "Time of day", ylab = "log(Energy)", cex.lab = 1.5)
points(night$time, night$top_energy, pch = 19, col = "steelblue", cex = 3)

lines(4*seq(0,2*pi,0.1)+1,-sin(seq(0,2*pi,0.1))+12, lty = 4, cex = 3)

