
## Read in table with severity data
PreictalSeverityTable =  read_excel("data/preictal_peak_table.xlsx")

## Markers of severity
markers_pre = c("top_ll", "top_energy", "top_delta", "top_theta", "top_alpha", "top_beta", "top_low_gamma",
            "top_high_gamma")
patient_info_pre = read_excel("data/patient_meta.xlsx")
surgery_outcome_pre =  read_excel("data/treatment_outcome.xlsx")

## Preprocess severity data
pre_severity_clean = preprocess_severity(PreictalSeverityTable, patient_info_pre, markers_pre)
## Preprocess patient information
patient_info_pre = clean_patient_data(patient_info_pre)
## Clean surgery outcome data
surgery_outcome_pre = clean_surgery_outcome(surgery_outcome_pre)

# Identify columns with marker values
marker_columns = match(markers_pre,colnames(pre_severity_clean))

# Only keep seizures included in main severity analysis
pre_severity_clean = pre_severity_clean[pre_severity_clean$segment_id %in% severity_clean$segment_id,]
# rm(PreictalSeverityTable)

# Relabel patient IDs
pre_severity_clean =  relabel_pat(pre_severity_clean, patient_info_pre,surgery_outcome_pre)[[1]]
write.csv(pre_severity_clean, "data/preictal_peak_clean.csv")


plot(mean(severity))