## Across-patient validation (focal (focal + aura) vs subclinical) **Main Validation**
severity_clean_focal_and_aura = severity_clean
severity_clean_focal_and_aura [severity_clean_focal_and_aura $ilae_sz_type == 'focal_aware',]$ilae_sz_type = 'focal'
severity_clean_focal_and_aura [severity_clean_focal_and_aura $ilae_sz_type == 'focal_unaware',]$ilae_sz_type = 'focal'
severity_clean_focal_and_aura [severity_clean_focal_and_aura $ilae_sz_type == 'focal_unknown',]$ilae_sz_type = 'focal'


# Compare focal and subclinical seizures
cat("Across patient validation (focal vs subclinical)")
across_focal_subclin = assess_models(severity_clean_focal_and_aura, markers, c("focal", "subclin"))
# Table of model assessment information
models_focal_subclin = across_focal_subclin[[1]]
# Table of AUC values for all models
AUC_focal_subclin = across_focal_subclin[[2]]
write.csv(AUC_focal_subclin, "results/AUC_focal_subclin.csv")

# Compare focal and aura seizures
cat("\n Across patient validation (focal_aware vs focal_unaware)")
across_focal_aura = assess_models(severity_clean, markers, c("focal_aware", "focal_unaware"))
# Table of model assessment information
models_focal_aura = across_focal_aura[[1]]
# Table of AUC values for all models
AUC_focal_aura = across_focal_aura[[2]]
write.csv(AUC_focal_aura, "results/AUC_focal_aura.csv")

# # Compare subclinical and aura seizures
# cat("\n Across patient validation (subclinical vs aura)")
# across_subclin_aura = assess_models(severity_clean, markers, c("subclin", "focal_unaware"))
# # Table of model assessment information
# models_subclin_aura = across_subclin_aura[[1]]
# # Table of AUC values for all models
# AUC_subclin_aura = across_subclin_aura[[2]]
# write.csv(AUC_subclin_aura, "results/AUC_subclin_aura.csv")

# # Correlation with disease duration
# cat("Correlation with disease duration \n")
# sz_types = c("all", "focal", "subclin")
# diagnoses = c("all", "temporal", "extratemporal")
# cor_dd = cor_with_dd_extended(severity_clean, markers, sz_types, diagnoses, "peak")
# # Write CSV to create dot-plots in matlab
# write.csv(cor_dd[[1]],"results/cor_with_dd.csv")
# write.csv(cor_dd[[2]],"results/p_with_dd.csv")

#############################################
## Supplementary analysis

# Compare focal and subclinical seizures (TLE patients)
cat("\n Across patient validation (focal vs subclinical) - TLE only")
across_tle_focal_subclin = assess_models(severity_clean_focal_and_aura[severity_clean_focal_and_aura$is_TLE == "temporal",], markers, c("focal", "subclin"))
models_tle_focal_subclin = across_tle_focal_subclin[[1]]
AUC_tle_focal_subclin = across_tle_focal_subclin[[2]]
write.csv(AUC_tle_focal_subclin, "results/AUC_tle_focal_subclin.csv")

# # Compare focal and ftbtc seizures (TLE patients)
# cat("\n Across patient validation (focal vs ftbtc) - TLE only")
# across_tle_focal_ftbtc = assess_models(severity_clean[severity_clean$is_TLE == "temporal",], markers, c("focal", "ftbtc"))
# models_tle_focal_ftbtc = across_tle_focal_ftbtc[[1]]
# AUC_tle_focal_ftbtc = across_tle_focal_ftbtc[[2]]

# Compare focal and subclinical seizures (eTLE patients)
cat("\n Across patient validation (focal vs subclinical) - eTLE only")
across_etle_focal_subclin = assess_models(severity_clean_focal_and_aura[severity_clean_focal_and_aura$is_TLE == "extratemporal",], markers, c("focal", "subclin"))
models_etle_focal_subclin = across_etle_focal_subclin[[1]]
AUC_etle_focal_subclin = across_etle_focal_subclin[[2]]
write.csv(AUC_etle_focal_subclin, "results/AUC_etle_focal_subclin.csv")
