# Perform Wilcoxon Rank Sum test comparing focal and subclinical seizures 
wilcoxon_fs = wilcoxon_analysis(severity_clean_focal_and_aura, patient_info, markers, c("focal","subclin"))
wilcoxon_focal_subclin = wilcoxon_fs[[1]][[1]]
wilcoxon_fs_sig = wilcoxon_fs[[2]]
wilcoxon_tle = wilcoxon_focal_subclin[wilcoxon_focal_subclin$is_TLE == "temporal",]
wilcoxon_tle = wilcoxon_tle[order(wilcoxon_tle$top_ll, decreasing = TRUE),]
wilcoxon_etle = wilcoxon_focal_subclin[wilcoxon_focal_subclin$is_TLE == "extratemporal",]
wilcoxon_etle = wilcoxon_etle[order(wilcoxon_etle$top_ll, decreasing = TRUE),]
wilcoxon_focal_subclin = rbind(wilcoxon_tle,wilcoxon_focal_subclin[wilcoxon_focal_subclin$is_TLE == "na",], wilcoxon_etle)
wilcoxon_fs_sig = wilcoxon_fs_sig[match(wilcoxon_focal_subclin$patient_id, wilcoxon_fs_sig$patient_id),]

# Store results 
write.csv(wilcoxon_focal_subclin[,1:(length(markers)+1)],"results/wilcoxon_focal_subclin_eff_size.csv", row.names = TRUE)
write.csv(wilcoxon_fs_sig[,1:(length(markers)+1)],"results/wilcoxon_focal_subclin_p_val.csv", row.names = TRUE)