## Set working directory to source file location

# Load libraries and functions necessary for data cleaning and analysis
source("src/functions.R")

# Read in severity table
severity_clean =  read.csv("data/severity_clean.csv")
severity_clean = select(severity_clean, -1)
# Read in anonymised patient information table
patient_info = read.csv("data/patient_meta.csv")

# State markers to be considered
markers = c("top_ll", "top_energy", "top_delta", "top_theta", "top_alpha", "top_beta", "top_low_gamma",
            "top_high_gamma","prop_channels_imprint", "prop_channels_max", "time_till_max_concurrent",
            "prop_to_max", "PGES_dur", "part_suppr_dur","suppr_strength", "duration")

# Perform across patient analysis
source("src/stat_across_patients.R")

# Extract tables (as shown in Figure 4)
fig_4_a = across_focal_subclin[[2]]
fig_4_a = fig_4_a[,c(1,3,4)]
fig_4_b = across_focal_aura[[2]]
fig_4_b = fig_4_b[,c(1,3,4)]

# Perform within patient analysis
source("src/stat_within_patients.R")
# Extract tables (as shown in Figure 5)
fig_5_a = wilcoxon_focal_subclin


